import 'package:json_annotation/json_annotation.dart';

import '../../bean/character_info.dart';

part 'keyboard_character_list_response.g.dart';

@JsonSerializable()
class KeyboardCharacterListResponse {
  @JsonKey(name: "characterInfos")
  List<CharacterInfo> characterInfos;

  KeyboardCharacterListResponse({required this.characterInfos});

  factory KeyboardCharacterListResponse.fromJson(Map<String, dynamic> json) =>
      _$KeyboardCharacterListResponseFromJson(json);

  Map<String, dynamic> toJson() => _$KeyboardCharacterListResponseToJson(this);
}
